Funding

Create an order proforma

POST/v1/teller/order/proforma

Creates an order proforma: it prices the order, with its fees and any discount, without charging anything. Show the breakdown to the user and, if they accept, execute it with POST /v1/teller/order and the returned orderId.

A proforma is valid for a limited time and can be executed only once. To refresh the price, create a new one.

Authorization

ApiKeyAuth
X-Api-Key<token>

For accessing these endpoints a valid API key must be sent in the X-Api-Key header.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

Create an order proforma
Example1 of 2
curl --request POST \  --url 'https://gateway.bit2me.com/v1/teller/order/proforma' \  --header 'Content-Type: application/json' \  --data '{  "amount": "50",  "currency": "EUR",  "destination": {    "type": "pocket",    "value": "eb775a29-365d-4881-b7b9-1fa66fe1eb4d"  },  "method": {    "type": "bizum"  },  "orderType": "deposit"}'
{  "amountAfterFee": "98.12500000",  "amountBeforeFee": "100.00000000",  "benefit": {    "amount": "0.62500000",    "currency": "EUR",    "levelId": "c1886992-5e48-4d8c-8296-a5d89f2f04cf",    "percentage": 25,    "tier": 4  },  "currency": "EUR",  "denomination": {    "amount": "100.00000000",    "currency": "EUR",    "rate": {      "pair": {        "base": "EUR",        "quote": "EUR"      },      "value": "1.00000000"    }  },  "fixedFee": "0.30000000",  "orderId": "dfcf2797-05f2-4cbb-ae5b-f5608dbbf6a9",  "variableFee": "2.20000000",  "variableFeePercentage": "0.0220"}